
Core - Bug # 56316

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Bug # 52949 (Resolved): Speed decrease since 4.5
Bug # 56307 (Accepted): Findings from Bootstrap/PackageManager/ClassLoader analyses

Status: Resolved Priority: Should have
Author: Steffen Ritter Category:
Created: 2014-02-26 Assigned To: Thomas Maroschik
Updated: 2014-03-15 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: inline BEUserAuth::getCookieName
Description

in order to prevent class loading

Associated revisions
Revision 6ddca20f - 2014-03-15 17:06 - Thomas Maroschik

[TASK] inline BEUserAuth::getCookieName

During bootstrapping in index_ts.php there is a check
for an existing be_typo_user cookie which enables
TimeTracking. The simple static getter triggers the loading
and parsing of BackendUserAuthentication and
AbstractUserAuthentication which are both pretty fat classes
and have an impact upon eID calls and frontend calls.

This patch inlines the cookie name retrieval and defers thus
the loading of the fat classes.

Resolves: #56316
Releases: 6.2
Change-Id: I5ce5cf92095dcb8820fb0e548e16e38a99f4f12e
Reviewed-on: https://review.typo3.org/28418
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History
#1 - 2014-03-04 17:06 - Thomas Maroschik
- Status changed from New to Accepted
- Assigned To set to Thomas Maroschik

#2 - 2014-03-15 13:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28418

#3 - 2014-03-15 13:17 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28418

#4 - 2014-03-15 17:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6ddca20fb6f3c2b809223b9d1ea59aa1ae91b119.
